Package: org.apache.groovy.util

## [Java] Class ScriptRunner

- org.apache.groovy.util.ScriptRunner

-     public class ScriptRunner
      extends Object

  The tool to simulate running script files via groovy command

  Since:
    3.0.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `runScript(File path)` Run the script file specified by the file path
    `` | `public static void` | `runScript(String cp)` Run the script file specified by the classpath

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static void runScript(File path)

      Run the script file specified by the file path

      Parameters:
        `path` - the file
      Since:
        3.0.0

    - #### public static void runScript(String cp)

      Run the script file specified by the classpath

      Parameters:
        `cp` - the classpath
      Since:
        3.0.0